installing libbonobo-2.3.3

Dagmar d'Surreal dagmar.wants at nospam.com
Fri Jul 18 09:32:34 PDT 2003


On Thu, 2003-07-17 at 07:49, Horacio Ferrero wrote:
> Should I suicide me?
> 
> The problem seems to be located on Glib, I guess but I cannot use older
> revision of glib because it'is neede for libgnome... etc!
> 
> Has someone installed Gnome ? What are the revs of glib, link, orbit,
> libgnome etc... 
> thanks for all trying to help me!
> 
> Horacio
> gcc -g -O2 -o .libs/name-client-2 name-client.o name-support.o -pthread 
> -L/opt/gnome2/lib ../../../src/orb/.libs/libORBit-2.so
> ./.libs/libORBitCosNaming-2.so
> /home/horacio/ORBit2-2.6.2/src/orb/.libs/libORBit-2.so
> /opt/gnome2/lib/libgmodule-2.0.so -ldl /usr/lib/libpopt.so -lm
> /opt/gnome2/lib/libIDL-2.so /usr/lib/libglib-2.0.so
> /opt/gnome2/lib/liblinc.so /opt/gnome2/lib/libgobject-2.0.so
> /opt/gnome2/lib/libgthread-2.0.so -lpthread
> /opt/gnome2/lib/libglib-2.0.so -Wl,--rpath -Wl,/opt/gnome2/lib
> /opt/gnome2/lib/libgthread-2.0.so: undefined reference to `g_rand_init'
> /opt/gnome2/lib/libgthread-2.0.so: undefined reference to
> `g_main_thread_init'
> collect2: ld returned 1 exit status
> make[4]: *** [name-client-2] Error 1
> make[4]: Leaving directory
(snippage)

Stop arguing and use the versions of the packages listed in BLFS 1.0 and
no other, because they _will_ work.  You will likely have to start over
from the base of the Gnome dependency tree because you have messed up by
mixing up the different Gnome releases.

-- 
The email address above is just as phony as it looks, and for obvious reasons.
Instant messaging contact nfo: AIM: evilDagmar  Jabber: evilDagmar at jabber.org

-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list